package org.xdv.clx.expr;

import org.xdv.clx.exec.ClxExecutionContext;
import org.xdv.clx.exec.ClxExecutionPoint;

/**
 * CLX formula - always evaluates to <code>true</code>.
 * <br>
 * It is used as a default subformula for empty quantifiers. For instance formula like:
 * <br>
 * <code>&lt;exists var="a" in="/data/field"/&gt;</code>
 * <br>
 * will be transalted to {@link ClxExists} with {@link ClxFormulaTrue} as a sub-formula.
 *      
 * @see ClxFormulaQuantifier
 * @author Tomasz Kokoszka
 */
public class ClxFormulaTrue implements ClxFormula {
    
    /** Creates instance */
    public ClxFormulaTrue() {
    }
       
    public boolean executeFormula(ClxExecutionContext cntx) {
        return true;
    }     
    
    public boolean executeFormula(ClxExecutionContext cntx, ClxExecutionPoint frame) {
        frame.finish();
        return true;
    }
    
    public String toString() {
        return "true";
    }
     
}
