package org.xdv.clx.operator;

/**
 * OPERATOR PARAMETER - CLX element implementation.
 * <br>
 * It holds parameter passed to user operator.
 *
 * @see <a href="http://www.clixml.org/clix/1.0/#operator">clix:operator</a>
 * @see <a href="http://www.clixml.org/clix/1.0/docs/html/#element_param_Link034354E0">element defintion</a>
 * @author Tomasz Kokoszka
 */
public class ClxOperatorParam {

    /** Parameter name */
    private final String name;
    
    /** Parameter value */
    private final String value;
    
    /**
     * Create new parameter
     * @param name parameter name
     * @param value parameter value
     */
    public ClxOperatorParam(String name, String value) {
        this.name = name;
        this.value = value;
    }

    /**
     * Return parameter name
     * @return parameter name; !=null
     */
    public String getName() {
        return name;
    }

    /**
     * Return parameter value
     * @return parameter value; !=null
     */
    public String getValue() {
        return value;
    }  
    
    public String toString() {
        return name + "=" + value;
    }
    
}
