package org.xdv.common;

/**
 * Validation exception - validation cannot be perfomed.
 * <p>
 * This exception says that validation couldn't have been performed.
 * It describes abnormal situation during validation, situation that should not occur.  
 * XML document validation may fail because of many reasons:
 * <ol class="NoTopMargin">
 * <li>Incorrect rule definition
 * <li>Invalid XPath query (if validation engine uses XPath)
 * <li>etc.
 * </ol>
 * </p>
 * <p>
 * It is a simple extension of {@link java.lang.Exception} class and doesn't provide any new 
 * functionality. For detailed description about all constructors and methods please look 
 * directly to superclass ({@link Exception}).
 * </p> 
 * <p>
 * This excpetion is not designed to report validation error. Validation errors are reported using
 * {@link org.xdv.common.XdvValidationError}.
 * </p>
 *
 * @author Tomasz Kokoszka
 */
public class XdvValidationException extends Exception {
    
    public XdvValidationException() {
        super();
    }

    public XdvValidationException(String message, Throwable cause) {
        super(message, cause);
    }

    public XdvValidationException(String message) {
        super(message);
    }

    public XdvValidationException(Throwable cause) {
        super(cause);
    }
    
}
